#
# Conditional build:
%define		_state		stable
%define		orgname		pykde4
%define		qtver		4.8.0
%define		sipver		2:4.14
%define		pyqtver		4.9
%define		kdeworkspacever	4.11.0

Summary:	PyKDE4 - Python bindings for KDE 4
Summary(pl.UTF-8):	PyKDE4 - dowiązania KDE 4 dla Pythona
Name:		python-PyKDE4
Version:	4.14.3
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	945a7492f1ab8cc874e0822f62484b12
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdeworkspacever}
BuildRequires:	kde4-kdepimlibs-devel
BuildRequires:	polkit-qt-1-devel
BuildRequires:	sip-PyQt4 >= %{pyqtver}
BuildRequires:	python-PyQt4 >= %{pyqtver}
BuildRequires:	python-sip >= %{sipver}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	python-PyQt4 >= %{pyqtver}
Requires:	python-sip >= %{sipver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyKDE4 is a set of Python bindings for the KDE 4 desktop environment.
The bindings are implemented as a set of Python modules, which
correspond to KDE libraries.

%description -l pl.UTF-8
PyKDE4 to zbiór dowiązań środowiska graficznego KDE 4 dla Pythona.
Dowiązania są zaimplementowane jako zbiór modułów Pythona
odpowiadających poszczególnym bibliotekom KDE.

%package devel
Summary:	SIP development files for PyKDE4
Summary(pl.UTF-8):	Pliki programistyczne SIP dla PyKDE4
Group:		Development/Languages/Python
Requires:	python-PyKDE4 = %{version}-%{release}
Requires:	python-sip-devel >= %{sipver}
Requires:	sip-PyQt4 >= %{pyqtver}

%description devel
SIP development files for PyKDE4, needed to build other bindings for
C++ classes that inherit from any of the KDE4 classes.

%description devel -l pl.UTF-8
Pliki programistyczne SIP dla PyKDE4, potrzebne do budowania innych
dowiązań do klas C++ dziedziczących z dowolnej klasy KDE4.

%package devel-tools
Summary:	PyKDE4 development tools
Summary(pl.UTF-8):	Narzędzia programistyczne PyKDE4
Group:		Development/Languages/Python
Requires:	python-PyKDE4 = %{version}-%{release}
Requires:	python-PyQt4-devel-tools >= %{pyqtver}

%description devel-tools
PyKDE4 development tool: pykdeuic4.

%description devel-tools -l pl.UTF-8
Narzędzie programistyczne PyKDE4: pykdeuic4.

%package examples
Summary:	PyKDE4 examples
Summary(pl.UTF-8):	Przykłady dla PyKDE4
Group:		Libraries/Python

%description examples
PyKDE4 examples.

%description examples -l pl.UTF-8
Przykłady dla PyKDE4.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-PyKDE4-%{version}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

mv $RPM_BUILD_ROOT%{_datadir}/apps/pykde4/examples/* $RPM_BUILD_ROOT%{_examplesdir}/python-PyKDE4-%{version}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}/PyKDE4
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/PyKDE4

# don't use py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/PyKDE4/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kpythonpluginfactory.so
%dir %{py_sitedir}/PyKDE4
%attr(755,root,root) %{py_sitedir}/PyKDE4/akonadi.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/dnssd.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/kdecore.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/kdeui.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/khtml.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/kio.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/knewstuff.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/kparts.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/kterminal.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/ktexteditor.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/kutils.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/nepomuk.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/phonon.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/plasma.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/solid.so
%attr(755,root,root) %{py_sitedir}/PyKDE4/soprano.so
%{py_sitedir}/PyKDE4/__init__.py[co]
%{py_sitedir}/PyKDE4/pykdeconfig.py[co]

%files devel
%defattr(644,root,root,755)
%dir %{_datadir}/sip/PyKDE4
%{_datadir}/sip/PyKDE4/akonadi
%{_datadir}/sip/PyKDE4/dnssd
%{_datadir}/sip/PyKDE4/kdecore
%{_datadir}/sip/PyKDE4/kdeui
%{_datadir}/sip/PyKDE4/khtml
%{_datadir}/sip/PyKDE4/kio
%{_datadir}/sip/PyKDE4/knewstuff
%{_datadir}/sip/PyKDE4/kparts
%{_datadir}/sip/PyKDE4/kterminal
%{_datadir}/sip/PyKDE4/ktexteditor
%{_datadir}/sip/PyKDE4/kutils
%{_datadir}/sip/PyKDE4/nepomuk
%{_datadir}/sip/PyKDE4/phonon
%{_datadir}/sip/PyKDE4/plasma
%{_datadir}/sip/PyKDE4/polkitqt
%{_datadir}/sip/PyKDE4/solid
%{_datadir}/sip/PyKDE4/soprano
%{_datadir}/sip/PyKDE4/glossary.html
%{_datadir}/sip/PyKDE4/pykde_config.sip

%files devel-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pykdeuic4*
%{py_sitedir}/PyQt4/uic/pykdeuic4.py*
%{py_sitedir}/PyQt4/uic/widget-plugins/kde4.py*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/python-PyKDE4-%{version}
%changelog
* Sun Nov 30 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyKDE4.git;a=log;h=master

* Sun Nov 30 2014 Jan Rękorajski <baggins@pld-linux.org> 7658c35
- BR python-PyQt4
- rel 3

* Sun Nov 30 2014 Jan Rękorajski <baggins@pld-linux.org> cd57820
- updated R/BR: python-PyQt4-devel renamed to sip-PyQt4
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 4531574
- 4.14.3

* Thu Oct 30 2014 Jan Rękorajski <baggins@pld-linux.org> 44ac74c
- release 2 (by relup.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 938412d
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e99d292
- pykde_config.sip packaged, kate requires it

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e47e221
- http url
- md5sum mismatch

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a67a3c6
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 27653a6
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6c188b3
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c63130c
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e6c3f4a
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c06ce90
- up to 4.12.3

* Sat Feb 08 2014 Jan Rękorajski <baggins@pld-linux.org> 4a1cda4
- updated BRs
- rel 2

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8ca625e
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 54893b2
- updated to 4.12.1 (by update-kde4.sh)

* Thu Jan 09 2014 Jan Rękorajski <baggins@pld-linux.org> 531a7ed
- release 2 (by relup.sh)

* Fri Dec 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b6d620
- up to 4.12.0

* Fri Dec 06 2013 Lukasz Masko <lmasko@pld-linux.org> 49d1ec9
- Up to 4.11.4.

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cc02451
- up to 4.11.3

